edu.isi.pegasus.planner.invocation

## Class EnvEntry

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.EnvEntry

All Implemented Interfaces:
  HasText, java.io.Serializable

    public class EnvEntry
    extends Invocation
    implements HasText

This class pushes an environmental entry into the environment map. This calls is expected to be transient to the parsing process only.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.String` `m_key` environment handle
`private java.lang.StringBuffer` `m_value` environment value

### Constructor Summary

Constructors
Constructor and Description
`EnvEntry()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`EnvEntry(java.lang.String key)` C'tor: Prepares a given key for accepting a value later on.
`EnvEntry(java.lang.String key, java.lang.String value)` C'tor: Fully initializes the class

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue(java.lang.String fragment)` Appends a piece of text to the existing text.
`java.lang.String` `getKey()` Accessor
`java.lang.String` `getValue()` Accessor
`void` `setKey(java.lang.String m_key)` Accessor.
`void` `setValue(java.lang.String value)` Accessor.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dumps the state of the current element as XML output.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_key

    private java.lang.String m_key

environment handle

#### m_value

    private java.lang.StringBuffer m_value

environment value

### Constructor Detail

#### EnvEntry

    public EnvEntry()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### EnvEntry

    public EnvEntry(java.lang.String key)

C'tor: Prepares a given key for accepting a value later on.

Parameters:
  `key` - is the key to prepare

#### EnvEntry

    public EnvEntry(java.lang.String key,
                    java.lang.String value)

C'tor: Fully initializes the class

Parameters:
  `key` - is the key to prepare
  `value` - is the value to remember

### Method Detail

#### appendValue

    public void appendValue(java.lang.String fragment)

Appends a piece of text to the existing text.

Specified by:
  `appendValue` in interface `HasText`
Parameters:
  `fragment` - is a piece of text to append to existing text. Appending `null` is a noop.

#### getKey

    public java.lang.String getKey()

Accessor

See Also:
  `setKey(String)`

#### setKey

    public void setKey(java.lang.String m_key)

Accessor.

Parameters:
  `m_key` -
See Also:
  `getKey()`

#### getValue

    public java.lang.String getValue()

Accessor

Specified by:
  `getValue` in interface `HasText`
See Also:
  `setValue(String)`

#### setValue

    public void setValue(java.lang.String value)

Accessor.

Specified by:
  `setValue` in interface `HasText`
Parameters:
  `value` - is the new value to set.
See Also:
  `getValue()`

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dumps the state of the current element as XML output. However, for the given instance, this class is ludicrious.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`